<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$id=$_POST['cliente'];
$cliente = $mysqli->query("SELECT * FROM z_pedidos WHERE idcliente=$id ORDER BY id DESC");
$pedido = $cliente->fetch_assoc();
$code=$pedido['codigopedido'];
if($code!=""){
    $pedidos = $mysqli->query("SELECT * FROM z_pedido WHERE codigopedido=$code");
    $rmodal.='<table style="width:100%" class="table">
          <thead>
            <tr>
              <th>Nombre Producto</th>
              <th>Cantidad</th>
            </tr>
          </thead>
          <tbody>';
    while ($ped = $pedidos->fetch_assoc()){
        $producto=sprod($ped['idproducto']);
        
        $rmodal.='<tr><td>'.$producto['producto'].'<br/></td>';
        $rmodal.='<td>'.$ped['cantidad'].'<br/></td></tr>';
    }
    $rmodal.='</tbody>
        </table>';
    $rbtn='<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalpedido">Pedido Anterior</button>';
}

$array[] = array('rbtn'=>$rbtn,'rmodal'=>$rmodal,'rcode'=>$code);
echo json_encode( $array ); 

?>